Summary:      Real-time software synthesizer
Name:         fluidsynth
Version:      1.0.7
Release:      1%{?dist}
URL:          http://www.fluidsynth.org/
Source0:      %{name}-%{version}.tar.gz
License:      LGPL
Group:        Applications/Multimedia
BuildRoot:    %{_tmppath}/%{name}-%{version}-root
Requires:     jack-audio-connection-kit >= 0.66.3
Obsoletes:    iiwusynth

BuildRequires: gcc-c++ pkgconfig libtool autoconf automake e2fsprogs-devel
BuildRequires: alsa-lib-devel ladspa-devel ncurses-devel readline-devel
BuildRequires: jack-audio-connection-kit-devel
BuildRequires: ladcca-devel

%description
FluidSynth is a real-time software synthesizer based on the SoundFont
2 specifications. It is a "software synthesizer". FluidSynth can read
MIDI events from the MIDI input device and render them to the audio
device. It can also play MIDI files (note: FluidSynth was previously
called IIWU Synth).

%package -n lib%{name}
Summary:   Real-time software synthesizer runtime libraries
Group:     System Environment/Libraries

%description -n lib%{name}
FluidSynth is a real-time software synthesizer based on the SoundFont
2 specifications. It is a "software synthesizer". This package holds
the runtime shared libraries.

%package -n lib%{name}-devel
Summary:   Real-time software synthesizer development files
Group:     Development/Libraries
Requires:  lib%{name} = %{version}-%{release}
Obsoletes: libiiwusynth-devel

%description -n lib%{name}-devel
FluidSynth is a real-time software synthesizer based on the SoundFont
2 specifications. It is a "software synthesizer". This package holds
header files for building programs that link against fluidsynth

%prep
%setup -q

%build
%configure --enable-jack-support --enable-ladspa \
#	--enable-midishare

%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} install

%clean
%{__rm} -rf %{buildroot}

%post -n lib%{name} -p /sbin/ldconfig

%postun -n lib%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/fluid*
%{_mandir}/man1/*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libfluidsynth.so.1
%{_libdir}/libfluidsynth.so.1.*

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_includedir}/fluidsynth.h
%{_includedir}/fluidsynth
%{_libdir}/libfluidsynth.a
%{_libdir}/libfluidsynth.la
%{_libdir}/libfluidsynth.so
%{_libdir}/pkgconfig/*

%changelog
* Fri Apr 21 2006 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x
- Ugrade to 1.0.7a

* Mon May 30 2005 Eddy Nigg <eddy_nigg@startcom.org>
- more changes for StartCom Linux 4.0.x